CREATE TABLE ase_app_role_b (
    ROLE_ID                  NUMBER            PRIMARY KEY,
    IS_SEEDED                VARCHAR2(4)       NOT NULL,
    CODE                     VARCHAR2(4000)    NOT NULL,
    GUID                     VARCHAR2(256) ,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    ROLE_CATEGORY            VARCHAR2(4000),
    STAGED                   VARCHAR2(4)       NOT NULL,
    DATA_SYNC_ID             NUMBER        ,
    APP_ID                   NUMBER        ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL
);
